Bug 217374 - Make GFS default to panic before withdraw function is ready
Make GFS default to panic before withdraw function is ready
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: gfs-utils (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Wendy Cheng
GFS Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-27 11:24 EST by Wendy Cheng
Modified: 2010-01-11 22:31 EST (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2007-0576
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-07 12:57:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wendy Cheng 2006-11-27 11:24:34 EST
Description of problem:
RHEL5 "withdraw" function is not ready - ref:

https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=215962

Tentatively redirect GFS1 withdraw call to BUG() before bz 215962 is 
settled. This is equivalent to current "-o debug" mount time option. 

Without this re-direct, upon filesystem fatal errors, the system 
behavior is unpredicable (we normally see console goes blank but box
still pingable). 

Version-Release number of selected component (if applicable):
All RHEL5 and CVS head versions. 

Expected results:


Additional info:
Comment 1 Wendy Cheng 2006-11-27 15:24:34 EST
Code checked into CVS head and RHEL5 - not sure about RHEL5.0 though. 
Comment 2 Kiersten (Kerri) Anderson 2007-04-23 13:36:21 EDT
Fixing product name. Cluster Suite components were integrated into Enterprise
Linux for verion 5.0.
Comment 4 RHEL Product and Program Management 2007-05-01 13:37:34 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 5 Kiersten (Kerri) Anderson 2007-05-03 13:43:42 EDT
Can't we close this one, think it is already in RHEL5.0, or more appropriately,
withdraw is implemented correctly so this bug is no longer valid.
Comment 8 errata-xmlrpc 2007-11-07 12:57:38 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0576.html

Note You need to log in before you can comment on or make changes to this bug.